#
# nuonce
#
# NonUniform Optimal Network Communications Engine
#
# $Id: nuonce.tcl,v 1.2 2003/01/06 20:42:19 lloydwood Exp $

# setup orbital elements
set a [expr 800+$RADIUS_OF_EARTH]
set e 0
set inc 98.7
set omega 0.0

# Uncertain of minimum elevation angle; set to zero.
upvar #0 coverage_angle angle
set angle 0

set Omegas {15 30 45 90 135 150 165}
set n_sats { 6  6  6  4   6   6   6}

# compute period of orbit
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]


satellites GV_BEGIN
set j 0
foreach Omega $Omegas {
	set ns [lindex $n_sats $j]
	for {set i 0} {$i < $ns} {incr i} {
		set T [expr $T_per * $i / $ns]
		satellites LOAD $a $e $inc $Omega $omega $T
	}
	incr j
}
satellites GV_END
